#include <common/widestr.hpp>
#include <common/version.hpp>
#include <common/winnls.hpp>

// Dynamic Dialog depends on this code, if modified make sure that DynamicDialog still works.

void WideString::ansiToWideString(const String &ansiString)
{
  WinVersionInfo versionInfo;

  if(ansiString.isNull())return;
	WORD ansiLength(ansiString.length());
	size(ansiLength+1);
  for(long index=0;index<ansiLength;index++)operator[](index)=((char*)((String&)ansiString))[index];
  operator[](index)=0;
}
